<?xml version="1.0" encoding="utf-8"?>  
<odoo>
<data>
<!-- inversion de la top bar et de la drag/drop Area -->
<template id="index" inherit_id="website_event.index">
<xpath expr="//div[@id='wrap']" position="replace">
<div id="wrap" class="o_wevent_index">
            <!-- Options -->
            <t t-set="opt_events_list_cards" t-value="is_view_active('website_event.opt_events_list_cards')"/>
            <t t-set="opt_events_list_columns" t-value="is_view_active('website_event.opt_events_list_columns')"/>
           
            <!-- Drag/Drop Area -->
            <div id="oe_structure_we_index_1" class="oe_structure oe_empty"/>
            <!-- Topbar -->
            <t t-call="website_event.index_topbar"/>
            <!-- Content -->
            <div t-attf-class="o_wevent_events_list #{opt_events_list_cards and 'opt_event_list_cards_bg'}">
                <div class="container">
                    <div class="row">
                        <t t-call="website_event.searched_tags"/>
                    </div>
                    <div class="row">
                        <div id="o_wevent_index_main_col" t-attf-class="col-md my-5 #{opt_events_list_columns and 'opt_events_list_columns' or 'opt_events_list_rows'}">
                            <div class="row">
                                <!-- Events List -->
                                <t t-call="website_event.events_list"/>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!-- Drag/Drop Area -->
            <div id="oe_structure_we_index_2" class="oe_structure oe_empty"/>
        </div>
</xpath>
</template>


<template id="index_topbar" inherit_id="website_event.index_topbar">
<xpath expr="//div[@class='d-flex align-items-center flex-wrap pl-sm-3 pr-0']" position="replace">
<t t-call="website_event.events_search_box">
                        <t t-set="_searches" t-value="searches"/>
                        <t t-set="_placeholder">Rechercher...</t>
                    </t>
    </xpath>
</template>

<template id="event_time" inherit_id="website_event.index_topbar">

<xpath expr="//a[@class='btn dropdown-toggle']" position="replace">
<a href="#" role="button" class="btn dropdown-toggle" data-toggle="dropdown">
                <i class="fa fa-calendar"/>
                <t t-if="current_date" t-esc="current_date"/>
                <t t-else="">A venir</t>
            </a>
  </xpath>
  <xpath expr="//div[@class='dropdown-menu']" position="replace">
  <div class="dropdown-menu">
                <t t-foreach="dates" t-as="date">
                    <t t-if="date[3] or (date[0] in ('old','all'))">
                        <a t-att-href="keep('/event', date=date[0])" t-attf-class="dropdown-item d-flex align-items-center justify-content-between #{searches.get('date') == date[0] and 'active'}">
                            <t t-if="date[1]=='Upcoming Events'">
                            A venir
                            </t>
                            <t t-if="not date[1]=='Upcoming Events'">
                            <t t-esc="date[1]"/>
                            </t>
                            
                            <span t-if="date[3]" t-esc="date[3]" class="badge badge-pill badge-primary ml-3"/>
                        </a>
                    </t>
                </t>
            </div>
    </xpath>

</template>



<template id="kalachakra.event_category_tag" inherit_id="website_event.index_topbar" active="True" customize_show="True" name="Filter by Tags">
    <xpath expr="//ul[hasclass('o_wevent_index_topbar_filters')]" position="inside">
        
            <li  class="nav-item dropdown mr-2 my-1">
                <a href="#" role="button" class="btn dropdown-toggle" data-toggle="dropdown">
                    <i class="fa fa-folder-open"/>
                    tags
                </a>
                <div class="dropdown-menu">
                    <t t-foreach="categories" t-as="category">
                    <t t-foreach="category.tag_ids" t-as="tag">
                    <t t-if="not tag.hidden">
                        <a t-if="tag.color"
                            t-att-href="'/event?tags='+tag.name"
                            t-attf-class="dropdown-item d-flex align-items-center justify-content-between #{'active' if tag in search_tags else ''}">
                            <t t-esc="tag.name"/>
                        </a>
                    </t>
                    </t>
                    </t>
                </div>
            </li>
      
    </xpath>
    
</template>

<template id="indivividual_booking_link" inherit_id="website_event.index_topbar" active="True" customize_show="True" name="Filter by Tags">
    <xpath expr="//div[@class='container']" position="inside">
        
        <u><a style="color:green;" href="/booking/registration/individual_booking">Cliquez sur ce lien pour vous inscrire à une retraite individuelle</a></u>
    </xpath>
    
</template>


<template id="kalachakra.searched_tags" inherit_id="website_event.searched_tags" active="True" customize_show="True" name="Searched tags">
    <xpath expr="//t[@t-esc='tag.display_name']" position="replace">
                <t t-esc="tag.name"/>

    </xpath>
</template>

<template id="kalachakra.events_list" inherit_id="website_event.events_list">
    <xpath expr="//div[@class='o_wevent_event_date position-absolute bg-white shadow-sm text-dark']" position="replace">
    <t t-if="not event.individual_booking_event">
    <div class="o_wevent_event_date position-absolute bg-white shadow-sm text-dark">
                                    <span t-field="event.with_context(tz=event.date_tz).date_begin" t-options="{'format': 'LLL'}" class="o_wevent_event_month"/>
                                    <span t-field="event.with_context(tz=event.date_tz).date_begin" t-options="{'format': 'dd'}" class="o_wevent_event_day"/>
                                </div>
    </t>
    </xpath>
    <xpath expr="//h5[1]" position="replace">
    <h5 t-attf-class="card-title mt-2 mb-0  #{(not event.website_published) and 'text-danger'}">
                                <span t-field="event.name" itemprop="name"/>
                            </h5>

    </xpath>
    <xpath expr="//time[@itemprop='startDate']" position="replace">

    <t t-if="event.booking_event and not event.individual_booking_event">
        <time itemprop="startDate" t-att-datetime="event.date_begin">
           <span t-field="event.with_context(tz=event.date_tz).date_begin" t-options="{'date_only': 'true','format': 'EEEE'}"/> 
            <span t-field="event.with_context(tz=event.date_tz).date_begin" t-options="{'date_only': 'true','format': 'long'}"/> 
            <span t-field="event.with_context(tz=event.date_tz).date_begin" t-options="{'time_only': 'true','format': 'short'}"/>-
        </time>
        <time itemprop="endDate" t-att-datetime="event.date_end">
            <span t-field="event.with_context(tz=event.date_tz).date_end" t-options="{'date_only': 'true', 'format': 'EEEE'}"/> 
            <span t-field="event.with_context(tz=event.date_tz).date_end" t-options="{'date_only': 'true','format': 'long'}"/> 
            <span t-field="event.with_context(tz=event.date_tz).date_end" t-options="{'time_only': 'true','format': 'short'}"/>
        </time>
     
    <br/>
    <font style="color: rgb(255, 0, 0); font-size: 14px;">Non adhérent : <span t-esc="int(event.booking_price)"/> €</font>
    <font style="color: rgb(255, 0, 0); font-size: 14px;">  Adhérent : <span t-esc="int(event.booking_member_price)"/> €</font>
    <br/><font style="color: rgb(255, 0, 0); font-size: 14px;">membre soutien : <span t-esc="int(event.booking_super_member_price)"/> €</font>
    </t>


    <t t-if="not event.booking_event">


            <t t-if="not event.free_participation">
                <t t-if="event.duration==1">
                <time itemprop="startDate" t-att-datetime="event.date_begin">
                    
                    <span t-field="event.with_context(tz=event.date_tz).date_begin" t-options="{'date_only': 'true','format': 'EEEE'}"/>
                    <span t-field="event.with_context(tz=event.date_tz).date_begin" t-options="{'date_only': 'true','format': 'long'}"/> 
                    <span t-field="event.with_context(tz=event.date_tz).date_begin" t-options="{'time_only': 'true','format': 'short'}"/> -
                </time>
                    <time itemprop="endDate" t-att-datetime="event.date_end">
                        <span t-field="event.with_context(tz=event.date_tz).date_end" t-options="{'time_only': 'true', 'format': 'short'}"/> 
                        
                    </time>
                </t>
                <t t-if="event.duration>1">
                <br></br>
                     <time itemprop="startDate" t-att-datetime="event.date_begin">
                     <span t-field="event.with_context(tz=event.date_tz).date_begin" t-options="{'date_only': 'true','format': 'EEEE'}"/>
                        <span t-field="event.with_context(tz=event.date_tz).date_begin" t-options="{'date_only': 'true','format': 'long'}"/>
                        <span t-field="event.with_context(tz=event.date_tz).date_begin" t-options="{'time_only': 'true','format': 'short'}"/> -
                    </time>
                    <time itemprop="endDate" t-att-datetime="event.date_end">
                    <span t-field="event.with_context(tz=event.date_tz).date_end" t-options="{'date_only': 'true','format': 'EEEE'}"/> 
                        <span t-field="event.with_context(tz=event.date_tz).date_end" t-options="{'date_only': 'true','format': 'long'}"/> 
                        <span t-field="event.with_context(tz=event.date_tz).date_end" t-options="{'time_only': 'true','format': 'short'}"/> 
                        
                    </time>
                </t>
            
            <br/>
            <h7><font style="color: rgb(255, 0, 0);font-size: 14px;">Non adhérent : <span t-esc="int(event.participation_standard_price)"/> €</font></h7>
            <h7><font style="color: rgb(255, 0, 0);font-size: 14px;">Adhérent : <span t-esc="int(event.participation_member_price)"/> €</font></h7>
            <br/><h7><font style="color: rgb(255, 0, 0);font-size: 14px;">Membre soutien : <span t-esc="int(event.participation_super_member_price)"/> €</font></h7>
            
            </t>

            <t t-if="event.free_participation">
            
                    <t t-if="event.duration==1">
                    <time itemprop="startDate" t-att-datetime="event.date_begin">
                        <span t-field="event.with_context(tz=event.date_tz).date_begin" t-options="{'date_only': 'true','format': 'EEEE'}"/>
                        <span t-field="event.with_context(tz=event.date_tz).date_begin" t-options="{'date_only': 'true','format': 'long'}"/>
                        <span t-field="event.with_context(tz=event.date_tz).date_begin" t-options="{'time_only': 'true','format': 'short'}"/> - 
                    </time>
                    <time itemprop="endDate" t-att-datetime="event.date_end">
                        <span t-field="event.with_context(tz=event.date_tz).date_end" t-options="{'time_only': 'true', 'format': 'short'}"/> 
                        
                    </time>
                </t>
                <t t-if="event.duration>1">
                <br></br>
                <time itemprop="startDate" t-att-datetime="event.date_begin">
                <span t-field="event.with_context(tz=event.date_tz).date_begin" t-options="{'date_only': 'true', 'format': 'EEEE'}"/>
                    <span t-field="event.with_context(tz=event.date_tz).date_begin" t-options="{'date_only': 'true', 'format': 'long'}"/>
                    <span t-field="event.with_context(tz=event.date_tz).date_begin" t-options="{'time_only': 'true', 'format': 'short'}"/> -
                </time>
                    <time itemprop="endDate" t-att-datetime="event.date_end">
                        <span t-field="event.with_context(tz=event.date_tz).date_end" t-options="{'date_only': 'true', 'format': 'EEEE'}"/> 
                        <span t-field="event.with_context(tz=event.date_tz).date_end" t-options="{'date_only': 'true', 'format': 'long'}"/> 
                        <span t-field="event.with_context(tz=event.date_tz).date_end" t-options="{'time_only': 'true', 'format': 'short'}"/> 
                        
                    </time>
                </t>
                
                <br/>
                <h7><font style="color: rgb(255, 0, 0);font-size: 14px;">Participation libre</font></h7>
                
            </t>
    </t>
    </xpath>
    <xpath expr="//div[@itemprop='location']" position="replace">
    <t t-if="event.online_only">
    <br></br><span>sur zoom uniquement</span><br></br>
    </t>
    
    <t t-if="not event.online_event and not event.booking_event">
    <br></br><span>sur place uniquement</span><br></br>
    </t>
    <t t-if="not event.online_only and event.online_event and not event.booking_event">
    <br></br><span>sur place ou sur zoom</span><br></br>
    </t>
    <t t-if="event.booking_event">
    <div itemprop="location" t-field="event.city"/>
    </t>
    
    </xpath>
    <xpath expr="//div[@class='mt8 d-flex align-items-center']" position="replace">
    <t t-foreach="event.tag_ids" t-as="tag">
        <t t-if="not tag.hidden">
            <span t-if="tag.color"
                t-attf-class="badge mr8 #{'badge-primary' if tag in search_tags else 'badge-light'} #{'o_tag_color_%s' % tag.color if tag.color else ''}">
                <span t-esc="tag.name"/>
            </span>
        </t>
    </t>
    </xpath>


    
    </template>


</data>
</odoo>